package main

import (
	"IPRegion/global"
	"IPRegion/ip2region"
	"encoding/json"
	"fmt"
	"testing"
)

func TestIpInfo(tt *testing.T) {
	address := "114.114.114.114"
	var ipInfo ip2region.IpInfo
	ipInfo, _ = ip2region.GetIPInfo(address, global.SearchType)
	res, _ := json.Marshal(ipInfo)
	fmt.Println(string(res))

}
